Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt
Enum Utilities.Configuration

    java.lang.Object
      java.lang.Enum<Utilities.Configuration>
          com.trolltech.qt.Utilities.Configuration

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Utilities.Configuration>

Enclosing class:
  Utilities

    public static enum Utilities.Configuration

extends java.lang.Enum<Utilities.Configuration>

Defines whether Qt is build in Release or Debug.

Enum Constant Summary
`Debug` Debug build.
`Release` Release build.

Method Summary
`static Utilities.Configuration` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Utilities.Configuration[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Release

    public static final Utilities.Configuration Release

  Release build.

### Debug

    public static final Utilities.Configuration Debug

  Debug build.

Method Detail

### values

    public static final Utilities.Configuration[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Utilities.Configuration c : Utilities.Configuration.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Utilities.Configuration valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD